# 全局变量globalModel详解
首先来看一下Dec.globalModel的定义
```
// 全局的一些状态,任何人任何地方都可以改
Dec.globleModel = Fix.define({
    selectedManageNav: "common",  //  管理系统选中项
    selectedTab: -1,  // tabs选中的标签页
    selectedMenu: null,  // 左侧选中 menu
    openedTabs: [] //  所有已打开的标签页
});
```
你并不用关心`Fix.define`是什么，如果有兴趣的话可以查看[Fix文档](http://fanruan.design/fix-doc/index.html#/)，只需要把Dec.globleModel当做一个全局的变量，对其进行正常的Object操作即可。
1. 切换menu: `Ded.globleModel.selectedMenu={key}` 菜单menu的key可以通过`BI.Constants.getCnstant("dec.constant.menu.items")`查看.
2. 切换管理系统节点:`Dec.globalModel.selectedManageNav={key}` 管理系统节点的key可以通过`BI.Constants.getCnstant("dec.constant.management.navigation")`查看.
3. 切换tabs选中的tab:`Dec.globalModel.selectedTab={value}`
4. 在tabs中新增项: `Dec.globalModel.openedTabs.push(tabObj)` 

## tabObj
由 text,value,cardType三个属性构成.分别表示问题,值,展示内容.其中cardType可为组件key值或对象.